%define upstream_name    LWP-Online
%define upstream_version 1.08

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Does your process have access to the web
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/LWP/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(inc::Module::Install::DSL)
BuildRequires: perl(LWP::Simple) >= 5.805.0
BuildRequires: perl(Test::More) >= 0.420.0
BuildRequires: perl(URI) >= 1.350.0
BuildArch:  noarch

%description
This module attempts to answer, as accurately as it can, one of the
nastiest technical questions there is.

*Am I on the internet?*

The answer is useful in a wide range of decisions. For example...

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%make_install

%files
%doc Changes LICENSE META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.80.0-10.mga8
+ Revision: 1504949
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 1.80.0-9.mga7
+ Revision: 1284490
- Mageia 7 Mass Rebuild

* Thu Oct 05 2017 tv <tv> 1.80.0-8.mga7
+ Revision: 1169152
- BR perl(inc::Module::Install::DSL)

* Sun Jun 19 2016 pterjan <pterjan> 1.80.0-7.mga6
+ Revision: 1029489
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 1.80.0-6.mga6
+ Revision: 938670
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.80.0-5.mga5
+ Revision: 747604
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.80.0-4.mga5
+ Revision: 685183
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.80.0-3.mga4
+ Revision: 512507
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.80.0-2.mga3
+ Revision: 368917
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jul 08 2011 jquelin <jquelin> 1.80.0-1.mga2
+ Revision: 120423
- update to 1.08

* Fri Jan 21 2011 jquelin <jquelin> 1.70.0-2.mga1
+ Revision: 29291
- mageia rebuild
- imported package perl-LWP-Online

